Subject: bug#23928: 25.0.95; Performance regression observable with smartparens

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Jul 2016 20:01:11 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Sat, 9 Jul 2016 11:53:00 -0400
> Cc: [email-masked]
> 
> To narrow things down, it would be helpful to have a profile from 24.5
> (which I understand doesn't have this performance problem?) for
> comparison.

I think the version of smartparens and some kind of recipe starting
from "emacs -Q" is also required, because saying it's unusable doesn't
really tell enough.

As I said, I'm not yet convinced it's an Emacs core problem.  I see no
evidence to that effect.

And please don't use elp.el to produce profiles, use profiler.el,
because the latter can profile primitives as well.